As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 537525 - Profile importer should not treat error as fatal when reading from Windows registry
: Profile importer should not treat error as fatal when reading from Windows re...
Status: RESOLVED FIXED
: fixed-seamonkey2.0.3
Product: SeaMonkey
Classification: Client Software
Component: Startup & Profiles (show other bugs)
: Trunk
: x86 Windows XP
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Frank Wein [:mcsmurf]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-02 06:18 PST by Frank Wein [:mcsmurf]
Modified: 2010-03-19 04:57 PDT (History)
4 users (show)
kairo: blocking‑seamonkey2.0.3+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Patch (5.22 KB, patch)
2010-01-02 13:03 PST, Frank Wein [:mcsmurf]
standard8: review-
Details | Diff | Splinter Review
Patch with whitespace changes (6.50 KB, patch)
2010-02-05 13:40 PST, Frank Wein [:mcsmurf]
standard8: review+
kairo: approval‑seamonkey2.0.3+
Details | Diff | Splinter Review

Description User image Frank Wein [:mcsmurf] 2010-01-02 06:18:14 PST
Currently the SeaMonkey profile importer for SeaMonkey 1.x and Thunderbird profile just aborts migration when it cannot read the registry key HKLM\\SOFTWARE\\Classes\\HTTP\\shell\\open\\command, see http://hg.mozilla.org/comm-central/annotate/20c2d9e8e9b4/suite/profile/migration/src/nsProfileMigrator.cpp#l180. I spoke to some user where migration failed due to that. I'm not yet sure why this registry key was missing (he had Firefox set as default browser, but is also using SeaMonkey 1.x), but I think this one should not be fatal for profile migration. After all we could jump in this case to http://hg.mozilla.org/comm-central/annotate/20c2d9e8e9b4/suite/profile/migration/src/nsProfileMigrator.cpp#l266:
// We can't get the default migrator (either wrong OS or we don't have a
// migrator for the default browser), so fall back to finding a valid
// profile to migrator manually - first try what we've been given.
Comment 1 User image Frank Wein [:mcsmurf] 2010-01-02 13:03:06 PST
Created attachment 419795 [details] [diff] [review]
Patch

I could not really work out how I can get hg qdiff to ignore all whitespace changes (I tested with -w, did not work), basically I changed FAILED->SUCCEEEDED and the else case could be to continue in the block below.
Comment 2 User image Frank Wein [:mcsmurf] 2010-01-02 13:03:45 PST
Actually ignore the whitespace changes comment, it did ignore the whitespace changes :)
Comment 3 User image Mark Banner (:standard8) 2010-02-01 03:06:33 PST
Comment on attachment 419795 [details] [diff] [review]
Patch

The general idea looks fine, but can you attach a normal patch so that I can assess the whitespace changes, as what's indicated in this patch is just weird.
Comment 4 User image Frank Wein [:mcsmurf] 2010-02-05 13:40:13 PST
Created attachment 425537 [details] [diff] [review]
Patch with whitespace changes
Comment 5 User image Mark Banner (:standard8) 2010-02-05 14:05:12 PST
Comment on attachment 425537 [details] [diff] [review]
Patch with whitespace changes

That's better, using my own version of diffw its much clearer :-)

r=Standard8
Comment 6 User image Frank Wein [:mcsmurf] 2010-02-05 14:20:26 PST
Comment on attachment 425537 [details] [diff] [review]
Patch with whitespace changes

Risk: Will change how SeaMonkey 1.1.18 profile importer will behave when a certain registry key is not found. Might help people who have problems with profile import on Windows.
Comment 7 User image Robert Kaiser 2010-02-05 14:28:29 PST
Frank, please check in on 1.9.1 ASAP so we can start 2.0.3 builds. Thanks.
Comment 8 User image Frank Wein [:mcsmurf] 2010-02-05 15:38:36 PST
Pushed to 1.9.1: http://hg.mozilla.org/releases/comm-1.9.1/rev/39e6436e83fc

Will push to comm-central when the tree is green again
Comment 9 User image Philip Chee 2010-03-09 05:54:41 PST
Ping Frank, time to push to comm-central?
Comment 10 User image Frank Wein [:mcsmurf] 2010-03-18 16:54:13 PDT
http://hg.mozilla.org/comm-central/rev/47d93faea82a

Note You need to log in before you can comment on or make changes to this bug.